Bug 110773 - [New Port] audio/gstreamer-plugins-moodbar (support "moods" for Amarok)
Summary: [New Port] audio/gstreamer-plugins-moodbar (support "moods" for Amarok)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-24 19:50 UTC by Alex
Modified: 2007-04-10 02:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.67 KB, text/plain)
2007-03-24 19:50 UTC, Alex
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2007-03-24 19:50:02 UTC
From README:
The Moodbar is an algorithm for creating a colorful visual
representation of the contents of an audio file, giving an idea of its
"mood" (this is a rather fanciful term for the simple analysis it
actually does).

Fix: Patch attached with submission follows:
Comment 1 Alex 2007-03-25 07:40:41 UTC
Sorry, I forgot to change first line in Makefile from "moodbar" to
"gstreamer-plugins-moodbar"
Comment 2 David Thiel freebsd_committer 2007-04-09 17:20:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lx

I'll take it.
Comment 3 David Thiel freebsd_committer 2007-04-09 17:43:05 UTC
State Changed
From-To: open->feedback

Couple of comments: 

- Portlint finds a space/tab mixup and requests USE_LDCONFIG. I'll go ahead 
and make those changes. 

- Other than being used by amarok, I don't think this has anything to do 
with KDE. Is it ok for me to remove that from the categories? 

Thanks! 
lx
Comment 4 Alex 2007-04-09 19:25:10 UTC
On Mon, 9 Apr 2007 16:45:54 GMT
David Thiel <lx@FreeBSD.org> wrote:

> - Other than being used by amarok, I don't think this has anything to do
> 	with KDE. Is it ok for me to remove that from the categories?

Yes.

And please apply this small patch.

---------------------------------------------------
--- Makefile.old
+++ Makefile
@@ -14,7 +14,7 @@
 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       Shows the "moods" of audio tracks in Amarok

-RUN_DEPENDS=    amarok-1.4.4:${PORTSDIR}/audio/amarok
+RUN_DEPENDS=    amarok>=1.4.4:${PORTSDIR}/audio/amarok
 LIB_DEPENDS=   fftw3f:${PORTSDIR}/math/fftw3-float

 USE_GSTREAMER= yes good
----------------------------------------------------

-- 
Best Regards.
Alexander Bechikov
Comment 5 dfilter service freebsd_committer 2007-04-09 22:15:10 UTC
lx          2007-04-09 21:15:05 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/gstreamer-plugins-moodbar Makefile distinfo pkg-descr 
                                    pkg-message pkg-plist 
  Log:
  The moodbar shows you the "mood" of a track, which you can then use to
  figure out when something interesting happens in the song.
  
  http://amarok.kde.org/wiki/Moodbar
  
  WWW: http://pwsp.net/~qbob/
  
  PR:             ports/110773
  Submitted by:   Alexander Bechikov <goo@t72.ru>
  Approved by:    edwin (mentor)
  
  Revision  Changes    Path
  1.850     +1 -0      ports/audio/Makefile
  1.1       +64 -0     ports/audio/gstreamer-plugins-moodbar/Makefile (new)
  1.1       +3 -0      ports/audio/gstreamer-plugins-moodbar/distinfo (new)
  1.1       +9 -0      ports/audio/gstreamer-plugins-moodbar/pkg-descr (new)
  1.1       +6 -0      ports/audio/gstreamer-plugins-moodbar/pkg-message (new)
  1.1       +4 -0      ports/audio/gstreamer-plugins-moodbar/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 David Thiel freebsd_committer 2007-04-09 22:15:36 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2007-04-09 22:28:31 UTC
lx          2007-04-09 21:28:25 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  Adding Alexander Bechikov to the contributors list.
  
  ( contributed port audio/gstreamer-plugins-moodbar )
  
  PR:     ports/110773
  Approved by:    edwin (mentor)
  
  Revision  Changes    Path
  1.683     +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alex 2007-04-10 02:31:22 UTC
On Mon, 9 Apr 2007 18:10:12 -0700
David Thiel <lx@redundancy.redundancy.org> wrote:


> Looking at this more, I don't think the RUN_DEPENDS is appropriate - you
> can run moodbar standalone to generate large amounts of mood files, and
> it doesn't need Amarok at all. Do you mind if I remove the RUN_DEPENDS
> completely?

ahh, ok :)

-- 
Best Regards.
Alexander Bechiko